package com.cf.cs.base.setup;

import com.cf.cs.base.config.CommonConfigure;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;


/**
 * The type System initial.
 *
 * @author xajhuang @163.com
 */
@Component
@Slf4j
public class SystemInitial implements CommandLineRunner {
    /**
     * Run.
     *
     * @param args the args
     */
    @Override
    public void run(String... args) {
        showOpenApiUrl();
    }

    private void showOpenApiUrl() {

        log.info("Access Online API Documents: {}/swagger-ui/index.html", CommonConfigure.BASEURL);
    }
}
