package com.cf.cs.database.config;

import com.mybatisflex.core.keygen.IKeyGenerator;

import java.util.UUID;

/**
 * The type Uuid key generator.
 *
 * @author xajhuang @163.com
 */
public class UuidKeyGenerator implements IKeyGenerator {
    /**
     * The constant COMMON_UUID.
     */
    public static final String COMMON_UUID = "UUID";

    @Override
    public Object generate(Object entity, String keyColumn) {
        return UUID.randomUUID().toString();
    }
}
