package com.cf.cs.database.pojo.entity;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 实体类。
 *
 * @author mybatis -flex-helper automatic generation
 * @since 1.0
 */
@Data
@Schema(name = "$table.comment")
@Table(value = "rbac_resource_type")
public class ResourceType {

    /**
     * 资源类型:0-->路由，1-->菜单，2-->按钮，...
     */
    @Schema(description = "资源类型:0-->路由，1-->菜单，2-->按钮，...")
    @Id(keyType = KeyType.Auto)
    private Integer typeId;

    /**
     * 资源名称
     */
    @Schema(description = "资源名称")
    @Column(value = "name")
    private String name;

}
