package com.cf.cs.database.pojo.entity;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 权限(Role)表实体类
 *
 * @author makejava @163.com
 * @since 2023 -12-19 15:14:43
 */
@Data
@Schema(name = "Role", description = "权限")
@Table("rbac_role")
@AllArgsConstructor
@NoArgsConstructor
public class Role implements Serializable {
    @Serial
    private static final long serialVersionUID = -132325343L;
    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Auto)
    private              Long id;
    /**
     * 是否有效
     */
    @Schema(description = "是否有效")
    @Column(value = "available")
    private Boolean available;
    /**
     * 权限描述
     */
    @Schema(description = "权限描述")
    @Column(value = "description")
    private String  description;
    /**
     * 权限名称
     */
    @Schema(description = "权限名称")
    @Column(value = "name")
    private String  name;
}

