package com.cf.cs.database.pojo.entity;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.RelationOneToOne;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 权限资源 实体类。
 *
 * @author mybatis -flex-helper automatic generation
 * @since 1.0
 */
@Data
@Schema(name = "权限资源")
@Table(value = "rbac_role_resource")
public class RoleResource {

    /**
     * 权限id
     */
    @Schema(description = "权限id")
    @Id(keyType = KeyType.Auto)
    private Long roleId;

    /**
     * 权限资源id
     */
    @Schema(description = "权限资源id")
    @Id(keyType = KeyType.Auto)
    private Long resourceId;

    /**
     * 0: deny, 1: allow
     */
    @Schema(description = "0: deny, 1: allow")
    @Column(value = "authorize")
    private Boolean authorize;

    @RelationOneToOne(selfField = "resourceId", targetField = "id")
    @Column(ignore = true)
    private ResourceData resources;
}
