package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.base.pojo.po.PageResults;
import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * The type Base page result resp.
 *
 * @param <T> the type parameter
 * @author xajhuang @163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({"items", "status", "message"})
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BasePageResultResp<T> extends BaseRespStatus {
    private PageResults<T> items;
}
