package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.cf.cs.protocol.pojo.po.DictContent;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * The type Dict content resp.
 *
 * @author xajhuang @163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@JsonPropertyOrder({"sysDict", "status", "message"})
public class DictContentResp extends BaseRespStatus {
    /**
     * The Sys dict.
     */
    List<DictContent> sysDict;
}
