package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.database.pojo.po.UserInfo;
import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * The type Get user info resp.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "用户详细信息")
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@JsonPropertyOrder({"userInfo", "status", "message"})
public class GetUserInfoResp extends BaseRespStatus {
    private UserInfo userInfo;
}
