package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.cf.cs.protocol.pojo.po.OptLogDetails;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * The type Operation log details resp.
 *
 * @author xajhuang @163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
@JsonPropertyOrder({"operationLog", "status", "message"})
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OperationLogDetailsResp extends BaseRespStatus {
    private List<OptLogDetails> operationLog;
}
