package com.cf.cs.protocol.validation.valids.impl;

import com.cf.cs.protocol.validation.valids.ValidPageSize;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * The type Valid page size.
 *
 * @author xajhuang @163.com
 */
public class ValidPageSizeImpl implements ConstraintValidator<ValidPageSize, Long> {
    @Override
    public void initialize(ValidPageSize constraintAnnotation) {
        ConstraintValidator.super.initialize(constraintAnnotation);
    }

    @Override
    public boolean isValid(Long pageSize, ConstraintValidatorContext constraintValidatorContext) {
        return pageSize % 5 == 0;
    }
}
