package com.cf.cs.restful;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * The type Cs restful application.
 *
 * @author xajhuang @163.com
 */
@SpringBootApplication(scanBasePackages = {"com.cf.cs.base", "com.cf.cs.database", "com.cf.cs.protocol",
                                           "com.cf.cs.authentication", "com.cf.cs.restful"})
public class CsRestfulApplication {

    /**
     * The entry point of application.
     *
     * @param args the input arguments
     */
    public static void main(String[] args) {
        SpringApplication.run(CsRestfulApplication.class, args);
    }

}
