package com.cf.cs.authentication.service;


import com.cf.cs.authentication.pojo.po.AuthAccountUser;

/**
 * The interface Auth users service.
 *
 * @author xajhuang @163.com
 */
public interface AuthUsersService {
    /**
     * Gets auth account by username.
     *
     * @param username the username
     * @return the auth account by username
     */
    AuthAccountUser getAuthAccountByUserName(String username);

    /**
     * Remove user by user name.
     *
     * @param username the username
     */
    void removeUserByUserName(String username);
}
