package com.cf.cs.base.pojo.po;

import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * The type Page results.
 *
 * @param <T> the type parameter
 * @author xajhuang @163.com
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonPropertyOrder({"pageNumber", "pageSize", "totalPage", "totalRow", "items"})
public class PageResults<T> {
    private List<T> items;
    private long    pageNumber;
    private long    pageSize;
    private long    totalPage;
    private long    totalRow;
}
