package com.cf.cs.database;

import com.cf.cs.base.config.CacheConfigure;
import com.cf.cs.base.config.CommonConfigure;
import com.cf.cs.base.config.ObjectMapperProvider;
import com.cf.cs.database.config.MybatisFlexConfigure;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;

/**
 * The type Cs database application tests.
 *
 * @author xajhuang @163.com
 */
@SpringBootTest(classes = {CsDatabaseApplication.class})
@ActiveProfiles({"user", "test"})
@ContextConfiguration(classes = {CacheConfigure.class, CommonConfigure.class, ObjectMapperProvider.class,
                                 MybatisFlexConfigure.class})
class CsDatabaseApplicationTests {

    /**
     * Context loads.
     */
    @Test
    void contextLoads() {
        Assertions.assertNotNull(this.getClass());
    }

}
