package com.cf.cs.protocol.pojo.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * The type Operation log req.
 *
 * @author xajhuang @163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@Schema(name = "OperationLogReq", description = "操作日志摘要信息请求参数")
public class OperationLogReq extends BasePagedReq {
    @Schema(description = "用户名， 需要查询指定用户的操作日志时指定用户， 支持同时指定多个用户， 分页查询过程中该参数不能改变")
    private List<String> userName;
}
