package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.cf.cs.protocol.pojo.po.ProcessorInfo;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * The type Get processor info resp.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "操作系统信息")
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@JsonPropertyOrder({"cpuInfo", "status", "message"})
@AllArgsConstructor
@NoArgsConstructor
public class GetProcessorInfoResp extends BaseRespStatus {
    private ProcessorInfo cpuInfo;
}
