package com.cf.cs.restful.service;


import com.cf.cs.protocol.pojo.po.HwInfo;
import com.cf.cs.protocol.pojo.po.ProcessorInfo;

/**
 * The interface System info service.
 *
 * @author xajhuang @163.com
 */
public interface SystemInfoService {
    /**
     * Gets os name.
     *
     * @return the os name
     */
    String getOsName();

    /**
     * Gets os boot time stamp.
     *
     * @return the os boot time stamp
     */
    long getOsBootTimeStamp();

    /**
     * Gets process info.
     *
     * @return the process info
     */
    ProcessorInfo getProcessInfo();

    /**
     * Gets hardware info.
     *
     * @return the hardware info
     */
    HwInfo getHardwareInfo();
}
